{
  "factory": {
    "id": "file-connector-in",
    "type": "entaxy.runtime.connector",
    "description": "File IN-connector (consumer) factory",
    "label": "connector,file",
    "isAbstract": false,
    "parent": "connection-based-connector-in",
    "requires": [
      "file-connection"
    ]
  },
  "entaxy.runtime.connector": {
  	"type": "file",
  	"protocol": "file"
  },
  "fields": {
		"entaxyOriginConnection": {
	        "displayName": "File Connection",
			"filter": {
				"label": "file"
			}
		}
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "fields": {
        "camel_directoryName": {
          "group": "general",
          "defaultValue": {
            "@CALCULATED": {
              "expression": "${objectId}"
            }
          }
        },
        "@IMPORT": [
          {
					"sourceFactoryId": "file-connection",
					"location": "outputs.consumer.fields",
					"prefix": "",
					"filter": {
						"contained": [{
								"attribute": "##origin",
								"values": ["camel"]
							}
						]
					}
          }
        ]
      },
      "config": {
        "configurable": false
      }
    }
  }
}
